org.infinispan.schematic.internal.document

## Class Paths

- java.lang.Object
- - org.infinispan.schematic.internal.document.Paths

-     public class Paths
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `Paths.EmptyPath`
    `static class` | `Paths.Externalizer`
    `protected static class` | `Paths.MultiSegmentPath`
    `protected static class` | `Paths.SinglePath`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Path` | `EMPTY_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Paths()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `notNull(Object value, String name)`
    `protected static String` | `notNull(String value, String name)`
    `static Path` | `path(List<String> fieldNames)`
    `static Path` | `path(Path path, List<String> fieldNames)`
    `static Path` | `path(Path path, String... fieldNames)`
    `static Path` | `path(Path path, String fieldName)`
    `static Path` | `path(String... fieldNames)`
    `static Path` | `path(String fieldName)`
    `static Path` | `rootPath()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_PATH

          protected static final Path EMPTY_PATH

  - ### Constructor Detail

    - #### Paths

          public Paths()

  - ### Method Detail

    - #### notNull

          protected static final void notNull(Object value,
                     String name)

    - #### notNull

          protected static final String notNull(String value,
                       String name)

    - #### rootPath

          public static Path rootPath()

    - #### path

          public static Path path(String fieldName)

    - #### path

          public static Path path(String... fieldNames)

    - #### path

          public static Path path(List<String> fieldNames)

    - #### path

          public static Path path(Path path,
                  String fieldName)

    - #### path

          public static Path path(Path path,
                  String... fieldNames)

    - #### path

          public static Path path(Path path,
                  List<String> fieldNames)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.